import { createContext, type PropsWithChildren, useContext } from 'react'
import { useNavigate } from 'react-router'

interface NavigationContextType {
  navigate: ReturnType<typeof useNavigate>
}

const NavigationContext = createContext<NavigationContextType>({
  navigate: () => {}
})

export const NavigationProvider = ({ children }: PropsWithChildren) => {
  const navigate = useNavigate()
  return <NavigationContext.Provider value={{ navigate }}>{children}</NavigationContext.Provider>
}

export const useNavigateContext = () => useContext(NavigationContext)
